python-reportlab (4.4.10-1) unstable; urgency=medium

  * New upstream version 4.4.10
  * Bumped Standards-Version: 4.7.3

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 18 Feb 2026 11:06:12 +0100

python-reportlab (4.4.9-1) unstable; urgency=medium

  * New upstream version 4.4.9

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 Jan 2026 20:39:12 +0100

python-reportlab (4.4.7-2) unstable; urgency=medium

  * upgraded fonts-dejavu-core and fonts-dejavu-extra to dependencies,
    removed the dependency on ttf-bitstream-vera. Closes: #1123060
    Many thanks to Luigi Toscano's hint about this necessary change.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 02 Jan 2026 17:04:29 +0100

python-reportlab (4.4.7-1) unstable; urgency=medium

  * New upstream version 4.4.7

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 30 Dec 2025 11:38:36 +0100

python-reportlab (4.4.6-1) unstable; urgency=medium

  * New upstream version 4.4.6

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Dec 2025 13:34:47 +0100

python-reportlab (4.4.5-2) unstable; urgency=medium

  * excluded src/reportlab/fonts/Vera* from upstream
  * added a dependency on ttf-bitstream-vera
  * bumped Standards-Version: 4.7.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 27 Nov 2025 15:27:23 +0100

python-reportlab (4.4.5-1) unstable; urgency=medium

  * New upstream version 4.4.5
  * updated one debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 24 Nov 2025 10:19:02 +0100

python-reportlab (4.4.4-2) unstable; urgency=medium

  [ Bastian Germann ]
  * d/copyright: Document Apache-2 license included in Type 1 font

  [ Georges Khaznadar ]
  * modified tests so they depend no longer on MS font Times-Roman

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Oct 2025 21:12:21 +0200

python-reportlab (4.4.4-1) unstable; urgency=medium

  * Modified slightly the import of T1SearchPath
  * New upstream version 4.4.4

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 24 Sep 2025 15:59:42 +0200

python-reportlab (4.4.3-1) unstable; urgency=medium

  * New upstream version 4.4.3
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 14 Aug 2025 10:50:58 +0200

python-reportlab (4.4.2-1) unstable; urgency=medium

  * New upstream version 4.4.2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jul 2025 14:52:38 +0200

python-reportlab (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Feb 2025 19:01:40 +0100

python-reportlab (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 11 Feb 2025 08:40:07 +0100

python-reportlab (4.2.5-1) unstable; urgency=medium

  * New upstream version 4.2.5

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2024 12:41:33 +0200

python-reportlab (4.2.2-1) unstable; urgency=medium

  * exclude src/reportlab.egg-info/* from packaging
  * New upstream version 4.2.2
  * refreshed debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 27 Jun 2024 16:12:55 +0200

python-reportlab (4.2.0-2) unstable; urgency=medium

  * new source upload

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 15:55:18 +0200

python-reportlab (4.2.0-1) unstable; urgency=medium

  * New upstream version 4.2.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 21 Apr 2024 16:29:38 +0200

python-reportlab (4.1.0-4) unstable; urgency=medium

  * added autopkgtests
  * cleaned the patch t1searchpath.patch
  * install callig15 fonts
  * rewritten d/copyright to comply with copyright-format/1.0/
  * removed copyright mentions about LibHnj since the relevant files are no
    longer part of ReportLab (they were C code, compiled to the older library
    pyHnj.x86_64-linux-gnu.so)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Mar 2024 19:09:52 +0100

python-reportlab (4.1.0-3) unstable; urgency=medium

  * install DarkGardenMK fonts
  * add symlinks for .afm files, regarding urw-base35 fonts
  * fixed the brute-force search path for T1 fonts

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Mar 2024 18:22:03 +0100

python-reportlab (4.1.0-2) unstable; urgency=medium

  * reduced the number of plain dependencies on fonts packages.
    Closes: #1051487

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 12 Mar 2024 16:29:00 +0100

python-reportlab (4.1.0-1) unstable; urgency=medium

  * ignore some generated files
  * New upstream version 4.1.0

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 12 Feb 2024 15:18:26 +0100

python-reportlab (4.0.9-1) unstable; urgency=medium

  * New upstream version 4.0.9

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 14 Jan 2024 20:10:36 +0100

python-reportlab (4.0.8-1) unstable; urgency=medium

  * New upstream version 4.0.8
  * Added Suggests: for rl-accel and rl-renderpm, which provide the
    accelerators in separate packages. Closes: #1037483

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 16 Dec 2023 15:19:29 +0100

python-reportlab (4.0.7-1) unstable; urgency=medium

  * New upstream version 4.0.7

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 12 Nov 2023 16:03:29 +0100

python-reportlab (4.0.6-1) unstable; urgency=medium

  * added Replaces: python3-reportlab-accel, python3-renderpm
  * New upstream version 4.0.6

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Oct 2023 19:53:04 +0200

python-reportlab (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5
  * removed the transitional packages python3-reportlab-accel and
    python3-renderpm, now python3-reportlab provides them as virtual
    packages
  * fixed Vcs URLs

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Sep 2023 14:11:14 +0200

python-reportlab (4.0.4-11) unstable; urgency=medium

  * removed the dependency on ttf-bitstream-vera, replaced by dependencies on
    fonts-dejavu-core and fonts-dejavu-extra. Adapted
    debian/python3-reportlab.links accordingly. Hopefully, this definitely
    Closes: #1050218
  * installed also Vera fonts which are included in the source package, as
    their license is documented in debian/copyright
  * checked that upstream sources are using rl_safe_exec instead of exec in
    file src/reportlab/platypus/flowables.py. Closes: #961524

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 24 Aug 2023 10:19:11 +0200

python-reportlab (4.0.4-10) unstable; urgency=medium

  * replace default T1 fonts by DejaVuSans.ttf when those fonts cannot
    be found. Closes: #1050218

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Aug 2023 19:10:37 +0200

python-reportlab (4.0.4-9) unstable; urgency=medium

  * added a dependency on fonts-urw-base35, and created symlinks from
    reportlab/fonts to the T1 fonts.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Jul 2023 14:17:41 +0200

python-reportlab (4.0.4-8) unstable; urgency=medium

  * replace default T1 fonts by Vera.TTF when those fonts cannot be found

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 13 Jul 2023 12:51:28 +0200

python-reportlab (4.0.4-7) unstable; urgency=medium

  * added dependencies python3-reportlab => python3-rlpycairo,
    python3-freetype, ttf-bitstream-vera
  * created symlinks from reportlab/fonts to
    /usr/share/fonts/truetype/ttf-bitstream-vera/

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 12 Jul 2023 12:09:25 +0200

python-reportlab (4.0.4-6) unstable; urgency=medium

  * modified a copy routine to let it do nothing when building in -arch
    mode.

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jul 2023 20:30:25 +0200

python-reportlab (4.0.4-5) unstable; urgency=medium

  * removed the clause Build-Depends-Indep and the -indep suffixes

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jul 2023 17:50:27 +0200

python-reportlab (4.0.4-4) unstable; urgency=medium

  * defined override_dh_auto_clean-indep also

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jul 2023 17:09:20 +0200

python-reportlab (4.0.4-3) unstable; urgency=medium

  * defined override_dh_auto_build-indep and override_dh_auto_install-indep
    targets in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Jul 2023 16:15:29 +0200

python-reportlab (4.0.4-2) unstable; urgency=medium

  * restored binary packages (as empty transitional packages) for
    python3-reportlab-accel and python3-renderpm. Added the clause
    Conflicts: python3-reportlab-accel (<= 4.0.4), python3-renderpm (<= 4.0.4)

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 29 Jun 2023 15:05:11 +0200

python-reportlab (4.0.4-1) unstable; urgency=medium

  * adopted the package. Closes: #1037483
  * added VCS stuff to manage the package at salsa.d.o, unde rthe umbrella
    of python-team
  * updated the watch file
  * New upstream version 4.0.4
  * Updated debian patches
  * removed install rules which dealt with .so libs since there are no longer
    C/C++ sources.
  * fewer binary packages are generated: python3-renderpm: and
    python3-reportlab-accel which were low level are no longer built.
  * changed the build dependency libfreetype6-dev => libfreetype-dev
  * removed unused rules about binary-arch, binary-indep
  * simplified debian/rules, using the new debhelper system

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Jun 2023 22:00:19 +0200

python-reportlab (3.6.13-1) unstable; urgency=medium

  * QA upload.
  * New upstream version.
  * Drop the toColor patch, implemented upstream.
  * Bump debhelper and standards versions.
  * Orphan the package. See #1037483.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2023 12:41:30 +0200

python-reportlab (3.6.12-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.
  * Fix PYTHONPATH in d/rules to fix FTBFS (Jochen Sprickerhof).
    Closes: #1019989.

 -- Matthias Klose <doko@debian.org>  Sat, 31 Dec 2022 11:05:33 +0100

python-reportlab (3.6.11-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 17 Jul 2022 14:14:52 +0200

python-reportlab (3.6.9-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 12:00:33 +0200

python-reportlab (3.6.8-1) unstable; urgency=medium

  * New upstream version.
  * debian/rules: Use py3versions to set VER3 variable (Nick Rosbrook).
    Closes: #1006763.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Mar 2022 06:27:30 +0100

python-reportlab (3.6.7-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Feb 2022 20:20:21 +0100

python-reportlab (3.6.6-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Feb 2022 04:26:09 +0100

python-reportlab (3.6.5-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Mon, 10 Jan 2022 11:09:39 +0100

python-reportlab (3.6.2-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 17 Nov 2021 18:05:08 +0100

python-reportlab (3.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Oct 2021 12:26:54 +0200

python-reportlab (3.5.67-2) unstable; urgency=medium

  * Stop building the python3-*-dbg packages. Closes: #994368.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Sep 2021 13:59:00 +0200

python-reportlab (3.5.67-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 06 May 2021 08:39:24 +0200

python-reportlab (3.5.66-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 03 Apr 2021 12:50:07 +0200

python-reportlab (3.5.65-1) experimental; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Mar 2021 13:42:58 +0100

python-reportlab (3.5.59-2) unstable; urgency=medium

  * Fix building the reference documentation.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Mar 2021 13:39:39 +0100

python-reportlab (3.5.59-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Jan 2021 10:15:25 +0100

python-reportlab (3.5.58-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jan 2021 19:14:55 +0100

python-reportlab (3.5.57-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Dec 2020 16:47:44 +0100

python-reportlab (3.5.56-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 07 Dec 2020 18:26:10 +0100

python-reportlab (3.5.55-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Nov 2020 15:29:01 +0100

python-reportlab (3.5.53-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Oct 2020 13:29:24 +0200

python-reportlab (3.5.49-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Sep 2020 13:29:05 +0200

python-reportlab (3.5.47-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2020 13:29:28 +0200

python-reportlab (3.5.44-1) unstable; urgency=medium

  * New upstream version.
  * python3-renderpm: Depend on fonts-urw-base35. Closes: #951062.

 -- Matthias Klose <doko@debian.org>  Fri, 17 Jul 2020 11:23:11 +0200

python-reportlab (3.5.34-1) unstable; urgency=medium

  * New upstream version.
  * SECURITY UPDATE: remote code execution via crafted XML document
    - debian/patches/CVE-2019-17626.patch: safely parse color in
      src/reportlab/lib/colors.py. Thanks to Marek Kasik for the patch!
    - CVE-2019-17626
  * Stop building the Python2 packages. Closes: #9381130.
  * Remove uploaders. Closes: #948945.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jan 2020 16:56:28 +0100

python-reportlab (3.5.31-1) unstable; urgency=medium

  * New upstream version.
  * Use Python3 in the -doc package.
  * Use python2 instead of python in dependencies and shebangs.

 -- Matthias Klose <doko@debian.org>  Sat, 26 Oct 2019 17:25:54 +0200

python-reportlab (3.5.28-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version.
  * Fix installation of python3.8 extensions.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Oct 2019 13:03:38 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-reportlab`.
